Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class Message

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.Message

public class Message extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Message.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Message.Builder`
  `builder()`
  `String`
  `getBody()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `List<BGServerFile>`
  `getFileList()`
  `int`
  `getId()`
  `int`
  `getTopicId()`
  `int`
  `getUserIdFrom()`
  `int`
  `getUserIdTo()`
  `String`
  `getUserNameFrom()`
  `String`
  `getUserNameTo()`
  `String`
  `getUuid()`
  `boolean`
  `isIncludes()`
  `void`
  `setBody(String body)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setFileList(List<BGServerFile> fileList)`
  `void`
  `setId(int id)`
  `void`
  `setIncludes(boolean includes)`
  `void`
  `setTopicId(int topicId)`
  `void`
  `setUserIdFrom(int userIdFrom)`
  `void`
  `setUserIdTo(int userIdTo)`
  `void`
  `setUserNameFrom(String userNameFrom)`
  `void`
  `setUserNameTo(String userNameTo)`
  `void`
  `setUuid(String uuid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### getBody

    public String getBody()

  - ### setBody

    public void setBody(String body)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTopicId

    public int getTopicId()

  - ### setTopicId

    public void setTopicId(int topicId)

  - ### getUserIdFrom

    public int getUserIdFrom()

  - ### setUserIdFrom

    public void setUserIdFrom(int userIdFrom)

  - ### getUserNameFrom

    public String getUserNameFrom()

  - ### setUserNameFrom

    public void setUserNameFrom(String userNameFrom)

  - ### getUserIdTo

    public int getUserIdTo()

  - ### setUserIdTo

    public void setUserIdTo(int userIdTo)

  - ### getUserNameTo

    public String getUserNameTo()

  - ### setUserNameTo

    public void setUserNameTo(String userNameTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getUuid

    public String getUuid()

  - ### setUuid

    public void setUuid(String uuid)

  - ### isIncludes

    public boolean isIncludes()

  - ### setIncludes

    public void setIncludes(boolean includes)

  - ### getFileList

    public List<BGServerFile> getFileList()

  - ### setFileList

    public void setFileList(List<BGServerFile> fileList)

  - ### builder

    public static Message.Builder builder()